FireGuardApi reference

Export monitored messages

Export the same project message analytics shown in the FireGuard monitoring dashboard.

GET
/monitoring/messages

Export the same project message analytics shown in the FireGuard monitoring dashboard.

Authorization

ApiKeyAuth
X-Api-Key<token>

FireGuard organization API key.

In: header

Query Parameters

project_id*string

Project ID from the FireGuard project settings.

period?string

Relative time window for the export.

metric_id?string

Filter results to one policy metric.

issues_only?boolean

Return only rows with at least one policy issue.

Response Body

application/json

curl -X GET "https://example.com/monitoring/messages?project_id=string"
{  "meta": {    "projectId": "string",    "projectName": "string",    "period": "string",    "startDate": "2019-08-24T14:15:22Z",    "endDate": "2019-08-24T14:15:22Z",    "generatedAt": "2019-08-24T14:15:22Z",    "messageCount": 0,    "truncated": true  },  "stats": {    "byCriticality": {      "property1": 0,      "property2": 0    },    "security": {      "inputUnsafe": 0,      "outputUnsafe": 0    }  },  "messages": [    {}  ]}